import React from 'react';
import axios from 'axios';
import { useNavigate } from 'react-router-dom';

const LogoutButton = () => {
  const navigate = useNavigate();

  const handleLogout = async () => {
    try {
      await axios.post('http://localhost:3001/api/logout', {}, { withCredentials: true });
      navigate('/login'); // إعادة التوجيه إلى صفحة تسجيل الدخول
    } catch (error) {

    }
  };

  return <button onClick={handleLogout}>تسجيل الخروج</button>;
};

export default LogoutButton;